(function() {
    tinymce.create('tinymce.plugins.gi_catalog', {
        init: function(ed, url) {
            tinymce.plugins.gi_catalog.theurl = url;
            
            ed.addButton('btn_gicatalog', {
                title: 'Insert catalog from GI-Catalog',
                image: catalogData.URI + '/images/catalog.png',
                onclick: function() {
                    jQuery('#gicatalog-shortcode').dialog('open');
                }
            });

        },
        createControl: function(n, cm) {
            return null;

        },
        getInfo: function() {
            return {
                longname: "GI-Catalog",
                author: 'Glare of Islam',
                authorurl: 'http://www.glareofislam.com/',
                infourl: 'Email: info@glareofislam.com',
                version: "1.0"
            };
        }
    });
    tinymce.PluginManager.add('gi_catalog', tinymce.plugins.gi_catalog);
})();