'use strict';

catalog.directive('giMenu', function($rootScope, $compile, $timeout, $http, AJAX_URL, NONCE, TEMPLATE_URI) {
    return {
        restrict: "E",
        replace: true,
        scope: {
            menuId: '@',
            menuCollection: '='
        },
        controller: function($scope) {
            /*$rootScope.$broadcast('widget.loader.show');
            var data = {
                action: 'gicatalog_get_category',
                groupid: $scope.menuGroupId,
                _ajax_nonce: NONCE
            };

            $http.post(AJAX_URL, jQuery.param(data)).then(function(response) {
                if (response.data.success) {
                    
                    $scope.collection = response.data.data;
                } else {

                }
                $timeout(function() {
                    $rootScope.$broadcast('widget.loader.hide');
                });
            }, function(rejectReason) {
                //self.showAddCategoriesDialog();
                console.log("request error");
                console.dir(rejectReason);
            });*/

        },
        template: '<ul id="{{menuId}}" class="parent-menu">\n\
                        <collection collection="menuCollection" menu-items-loaded></collection>\n\
                    </ul>',
        link: function(scope, element, attrs) {

        }
    };
})
        .directive('menuItemsLoaded', function($timeout) {
    return function(scope, element, attrs) {
        if (scope.$last) {
            $timeout(function() {
                jQuery("#" + scope.$parent.$parent.menuId).menu();
               
            });
        }
    };
})
        .directive('submenuItemsLoaded', function($timeout) {
    return function(scope, element, attrs) {
        if (scope.$last) {
            $timeout(function() {
                //jQuery("[id^='gicatalog-widget-category-menu']").menu("destroy");
                //jQuery("[id^='gicatalog-widget-category-menu']").menu();
            });
        }
    };
})
        .directive("collection", function() {
    return {
        restrict: "E",
        replace: true,
        scope: {
            collection: '='
        },
        template: "<category ng-repeat='category in collection track by $index' category='category'></category>"
    };
})
        .directive('category', function($compile, $rootScope, QUERY_CATALOGID_URL) {
    return {
        restrict: "E",
        replace: true,
        scope: {
            category: '='
        },
        controller: function($scope) {
            $scope.clicked = function clicked(e, id) {
                e.preventDefault();
                $rootScope.$broadcast('menu.link.click', id);
            };

        },
        template: "<li><a ng-href=\"{{menu_url + '=' + category.categoryid}}\" ng-click=\"clicked($event, category.categoryid)\" bo-text='category.categoryname|text' bo-attr bo-attr-class=\"((category.categorydirection === 'rtl')?'text-right':'text-left') + ' ' + category.categorycss\"></a></li>",
        link: function(scope, element, attrs) {
            scope.menu_url = QUERY_CATALOGID_URL;
            if (angular.isDefined(scope.category.subcategory)) {
                element.append("<ul><collection collection='category.subcategory' submenu-items-loaded></collection></ul>");
                $compile(element.contents())(scope);
            }

        }
    };
});