<?php
defined( 'ABSPATH' ) OR exit;

/**
 * Description of GI_Catalog_Base
 *
 * @author Zishan J.
 */
class GI_Catalog_Base {
    private static $error;
    private static $success;
    
    protected static function check_error($data, $custom_msg = "") {
        
        if (is_wp_error($data)) {
            self::$error .= "<b>ERROR:</b> " . ((!empty($custom_msg)) ? $custom_msg : $data->get_error_message()) . ((is_wp_error($data))?"":"<br />");
        }
        return self::$error;
    }
    
    protected static function print_error() {
        
        if (!empty(self::$error))
            $msg = '<div class="error"><p>' . self::$error . '</p></div>';

        self::$error = "";
        return $msg;
    }

    protected static function print_success($msg) {
        //if (!empty($this->success))
            $msg = '<div class="updated"><p>' . $msg . '</p></div>';

        //$this->success = "";
        return $msg;
    }
}

?>
